fragment.h File Reference

Defines Fragment, a statically-sized array for storing parts of matrices within a thread's registers. More...

`#include <assert.h>`
`#include <cutlass/shape.h>`
`#include <cutlass/util/cutlass_math.h>`
`#include <cutlass/vector.h>`

Go to the source code of this file.

## Classes

struct | cutlass::StorageType< kAlignment_ >
struct | cutlass::StorageType< 4 >
struct | cutlass::StorageType< 2 >
struct | cutlass::StorageType< 1 >
struct | cutlass::Fragment< Element_, kElements_, kAlignment_ >
| A template defining Fragment Concept. More...
struct | cutlass::FragmentIterator< Fragment_, Iterations_, AccessType_ >
| A template defining Fragment Iterator Concept. More...
struct | cutlass::FragmentConstIterator< Fragment_, Iterations_, AccessType_ >

## Namespaces

| cutlass